package com.steerinfo.ems.trmtransfereactvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

public class TRmTransfereActValue implements IBasePO<String> {
    /**
     * 主键(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="主键",required=true)
    private String id;

    /**
     * 时间（月）(CLOCK,VARCHAR,20)
     */
    @ApiModelProperty(value="时间（月）",required=true)
    private String clock;

    /**
     * 工序ID(WORKPROCID,VARCHAR,40)
     */
    @ApiModelProperty(value="工序ID",required=true)
    private String workprocid;

    /**
     * 用电地点(LOCATION,VARCHAR,80)
     */
    @ApiModelProperty(value="用电地点",required=true)
    private String location;

    /**
     * 抄度值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="抄度值",required=false)
    private BigDecimal apportvalue;

    /**
     * 期初值(MINTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="期初值",required=false)
    private BigDecimal mintvalue;

    /**
     * 期末值(MENDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="期末值",required=false)
    private BigDecimal mendvalue;

    /**
     * 状态，0未编辑1已编辑2已审核(STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="状态，0未编辑1已编辑2已审核",required=false)
    private String state;

    /**
     * 创建人(CREATER,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String creater;

    /**
     * 创建时间(CREATETIM,VARCHAR,30)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private String createtim;

    /**
     * 审核人(CHECKUSER,VARCHAR,30)
     */
    @ApiModelProperty(value="审核人",required=false)
    private String checkuser;

    /**
     * 审核时间(CHECKTIM,VARCHAR,30)
     */
    @ApiModelProperty(value="审核时间",required=false)
    private String checktim;

    /**
     * 备注(BZ,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    /**
     * 用电地点ID，关联T_RM_ELECTRICITY_LOCATION主键(LOCATIONID,VARCHAR,40)
     */
    @ApiModelProperty(value="用电地点ID，关联T_RM_ELECTRICITY_LOCATION主键",required=false)
    private String locationid;

    /**
     * 损耗(WASTAGE,DECIMAL,30)
     */
    @ApiModelProperty(value="损耗",required=false)
    private BigDecimal wastage;

    /**
     * 实际用电量(REALVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="实际用电量",required=false)
    private BigDecimal realvalue;

    /**
     * 二次转供电量(SECONDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="二次转供电量",required=false)
    private BigDecimal secondvalue;

    /**
     * 车间(WORKSHOP,VARCHAR,80)
     */
    @ApiModelProperty(value="车间",required=false)
    private String workshop;

    /**
     * 计量点编号(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String itemid;

    /**
     * 结束时间(CLOCKE,VARCHAR,20)
     */
    @ApiModelProperty(value="结束时间",required=false)
    private String clocke;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getWorkprocid() {
        return workprocid;
    }

    public void setWorkprocid(String workprocid) {
        this.workprocid = workprocid == null ? null : workprocid.trim();
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location == null ? null : location.trim();
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public BigDecimal getMintvalue() {
        return mintvalue;
    }

    public void setMintvalue(BigDecimal mintvalue) {
        this.mintvalue = mintvalue;
    }

    public BigDecimal getMendvalue() {
        return mendvalue;
    }

    public void setMendvalue(BigDecimal mendvalue) {
        this.mendvalue = mendvalue;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    public String getCreatetim() {
        return createtim;
    }

    public void setCreatetim(String createtim) {
        this.createtim = createtim == null ? null : createtim.trim();
    }

    public String getCheckuser() {
        return checkuser;
    }

    public void setCheckuser(String checkuser) {
        this.checkuser = checkuser == null ? null : checkuser.trim();
    }

    public String getChecktim() {
        return checktim;
    }

    public void setChecktim(String checktim) {
        this.checktim = checktim == null ? null : checktim.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getLocationid() {
        return locationid;
    }

    public void setLocationid(String locationid) {
        this.locationid = locationid == null ? null : locationid.trim();
    }

    public BigDecimal getWastage() {
        return wastage;
    }

    public void setWastage(BigDecimal wastage) {
        this.wastage = wastage;
    }

    public BigDecimal getRealvalue() {
        return realvalue;
    }

    public void setRealvalue(BigDecimal realvalue) {
        this.realvalue = realvalue;
    }

    public BigDecimal getSecondvalue() {
        return secondvalue;
    }

    public void setSecondvalue(BigDecimal secondvalue) {
        this.secondvalue = secondvalue;
    }

    public String getWorkshop() {
        return workshop;
    }

    public void setWorkshop(String workshop) {
        this.workshop = workshop == null ? null : workshop.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getClocke() {
        return clocke;
    }

    public void setClocke(String clocke) {
        this.clocke = clocke == null ? null : clocke.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", clock=").append(clock);
        sb.append(", workprocid=").append(workprocid);
        sb.append(", location=").append(location);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", mintvalue=").append(mintvalue);
        sb.append(", mendvalue=").append(mendvalue);
        sb.append(", state=").append(state);
        sb.append(", creater=").append(creater);
        sb.append(", createtim=").append(createtim);
        sb.append(", checkuser=").append(checkuser);
        sb.append(", checktim=").append(checktim);
        sb.append(", bz=").append(bz);
        sb.append(", locationid=").append(locationid);
        sb.append(", wastage=").append(wastage);
        sb.append(", realvalue=").append(realvalue);
        sb.append(", secondvalue=").append(secondvalue);
        sb.append(", workshop=").append(workshop);
        sb.append(", itemid=").append(itemid);
        sb.append(", clocke=").append(clocke);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}